const metricForm = document.getElementById('metricForm');
const rankingsTable = document.getElementById('rankingsTable');
let rankings = [];

metricForm.addEventListener('submit', function(e) {
  e.preventDefault();

  const role = document.getElementById('role').value;
  const name = document.getElementById('name').value;
  const quality = parseInt(document.getElementById('quality').value);
  const timeliness = parseInt(document.getElementById('timeliness').value);
  const communication = parseInt(document.getElementById('communication').value);

  const score = Math.round((quality + timeliness + communication) / 3);

  const entry = {
    name,
    role,
    score
  };

  rankings.push(entry);
  rankings.sort((a, b) => b.score - a.score);

  updateRankingsTable();
  metricForm.reset();
});

function updateRankingsTable() {
  rankingsTable.innerHTML = rankings.map((entry, index) => `
    <tr>
      <td>${index + 1}</td>
      <td>${entry.name}</td>
      <td>${entry.role.replace('_', ' ')}</td>
      <td>${entry.score}</td>
    </tr>
  `).join('');
}